--[[ script de définition de la classe Raylight --]]

.namespace Sparkle

function OnEnable()
if UserData.IsEqual("expertMode", true) then
	self.Enabled = false
	return
end	

	self.ScaleEnd_X = 0.2
	self.ScaleEnd_Y = 0.2
	
	self.ScaleMiddle_X = 0.4
	self.ScaleMiddle_Y = 0.4
	
	self.ScaleStart_X = 0.3
	self.ScaleStart_Y = 0.3
	
	self.Image = "media/common/graph/visualeffects/blink_star.png"
	
	self.Lifetime = 2.5
	self.CreationPerSec = 10
	self.CreationRadius = 50
	
	self.Direction = -90
	self.DirectionDelta = 2
	
	self.Acceleration = -1
	self.AlphaBlend = true
	self.AnimationSpeed = 0
	self.AutoDisable = false
	self.CreationPerSec=1
	self.CreationRadius=20
	self.Speed = 6
	self.SpeedDelta = 10
	
	self.Target_X = 0
	self.Target_Y = 0
	self.TargetRadius = 100
	self.TargetRelative = true
	
	self.TurnFactor = 0
end

